Deployments
Get deployment metrics
GET
Get deployment metrics
Authorizations
API key with the vk_ prefix. Create one from the dashboard.
Path Parameters
Deployment ID
Response
Uptime, cost, and request aggregates
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://api.veri.studio/v1/deployments/{deployment_id}/metrics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/deployments/{deployment_id}/metrics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/deployments/{deployment_id}/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"total_requests": 123,
"total_prompt_tokens": 123,
"total_completion_tokens": 123,
"total_cost_usd": 123,
"avg_latency_ms": 123,
"p50_latency_ms": 123,
"p90_latency_ms": 123,
"p95_latency_ms": 123,
"p99_latency_ms": 123,
"error_rate": 123,
"uptime_seconds": 123
}API key with the vk_ prefix. Create one from the dashboard.
Deployment ID
Uptime, cost, and request aggregates
curl --request GET \
--url https://api.veri.studio/v1/deployments/{deployment_id}/metrics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/deployments/{deployment_id}/metrics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/deployments/{deployment_id}/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"total_requests": 123,
"total_prompt_tokens": 123,
"total_completion_tokens": 123,
"total_cost_usd": 123,
"avg_latency_ms": 123,
"p50_latency_ms": 123,
"p90_latency_ms": 123,
"p95_latency_ms": 123,
"p99_latency_ms": 123,
"error_rate": 123,
"uptime_seconds": 123
}